(defparameter iriver-subroutines
'(
;; general format of entries:
;; (address attributes ...)
;; attributes are:
;;   name: name of a procedure or a variable
;;   type: may be memloc, no type attribute means a procedure
;;   args: list of procedure arguments
;;   do-not-analyse: skip analysis of this procedure because it takes too much
;;     time or breaks the analyser
;;   find-sub-new: we want this procedure to be searched for calls by
;;     find-new-subroutines
;;
;; entries should be sorted by their addresses

(#x400124 (NAME . A_VARIABLE) (TYPE . MEMLOC))
(#x812348 (NAME . A_PROCEDURE) (ARGS A B C))
(#x820000 (NAME . A_HARD_PROCEDURE) (ARGS ARG1 ARG2 ARG3 ARG4) (DO-NOT-ANALYSE . T))
(#x822348 (NAME . A_NEW_PROCEDURE) (ARGS A B C) (FIND-SUB-NEW . T))


))
